Agda.Syntax.Abstract

type Args

data Expr

type Assign

type Assigns

type RecordAssign

type RecordAssigns

data Axiom

type Ren a

data ScopeCopyInfo

initCopyInfo

data Declaration

class GetDefInfo a

type ImportDirective

type Renaming

type ImportedName

data ModuleApplication

data Pragma

data LetBinding

type TypeSignature

type Constructor

type Field

data LamBinding

data TypedBindings

data TypedBinding

type Telescope

data NamedDotPattern

data Clause' lhs

type Clause

type SpineClause

data RHS

data SpineLHS

data LHS

data LHSCore' e

type LHSCore

class LHSToSpine a b

lhsCoreToSpine

spineToLhsCore

lhsCoreApp

lhsCoreAddSpine

lhsCoreAllPatterns

lhsCoreToPattern

mapLHSHead

# Patterns

data Pattern' e

type Pattern

type Patterns

class MaybePostfixProjP a

class AllNames a

axiomName

class AnyAbstract a

nameExpr

app

mkLet

patternToExpr

type PatternSynDefn

type PatternSynDefns

lambdaLiftExpr

substPattern

class SubstExpr a

insertImplicitPatSynArgs